SSL_CTX_SESSIONS(3)

NAME
SSL_CTX_sessions - access internal session cache

SYNOPSIS
libssl libcrypto
#include <openssl/ssl.h>
LHASH_OF(SSL_SESSION) *
SSL_CTX_sessions(SSL_CTX *ctx);

DESCRIPTION
SSL_CTX_sessions() returns a pointer to the lhash databases containing the internal session cache for ctx.

The sessions in the internal session cache are kept in an lhash-type database (see lh_new(3)). It is possible to directly access this database, e.g., for searching. In parallel, the sessions form a linked list which is maintained separately from the lhash operations, so that the database must not be modified directly but by using the SSL_CTX_add_session(3) family of functions.

SEE ALSO
lh_new(3), ssl(3), SSL_CTX_add_session(3), SSL_CTX_set_session_cache_mode(3)

HISTORY
SSL_CTX_sessions() first appeared in SSLeay 0.5.2 and has been available since OpenBSD 2.4.